/***************************************************************************
                          animations.h  -  description
                             -------------------
    begin                : Wed Feb 9 2000
    copyright            : (C) 2000 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#ifndef ANIMATIONS_H
#define ANIMATIONS_H

#include "animator.h"
#include "animation.h"

class Loader;
class Loaded_animations;
class Animations {
public:
	Animations();
	~Animations();

	/*
  	This is called by the loader to initialize the cache
	*/
	void init(Loader *loader_);

	/*
  	This will either load an animation from disk or find it in the cache
		and then it will create a new animator object from it.

		YOU MUST: Delete the Animator once you are done with it.
	*/
	Animator *new_animator(char	*name, int32 color = NOCOLOR);

protected:
	Loaded_animations *animations;
	Loader *loader;    	
};

#endif

