/***************************************************************************
                          font_glyph.h  -  description
                             -------------------
    begin                : Sun Jan 30 2000
    copyright            : (C) 2000 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#ifndef FONT_GLYPH_H
#define FONT_GLYPH_H

#include "graphic.h"
#include "graphics.h"
class Font_glyph : public Graphic  {
public:
	Font_glyph();
	~Font_glyph();

	bool load_glyph(Graphics *graphics, char *font_root, char *spec_line, int32 color);
	int put_glyph(Raw_surface *target, int &xpos, int ypos);
	int get_char() {return ch;}
	int get_bearing_x() {return bearing_x;}
	int get_bearing_y() {return bearing_y;}
	int get_advance() {return advance;}

protected:
	int ch;
  int advance;
	int bearing_x;
	int bearing_y;
};

#endif

