/***************************************************************************
                          graphic_bar.h  -  description
                             -------------------
    begin                : Sat Dec 25 1999
    copyright            : (C) 1999 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/
#ifndef GRAPHIC_BAR_H
#define GRAPHIC_BAR_H

#include "graphic.h"

/**
  *@author Flemming Frandsen
  */

class Graphic_bar : public Graphic  {
public: 
	Graphic_bar();
	~Graphic_bar();

	void setpos(float pos);
	void render();

	int32 bar_color;
	int32 border_color;

	void setgeom(int xpos_, int ypos_, int xsize_, int ysize_);
	void draw(Raw_surface *raw_target);

	//for pre placed (widget-like)
	int xpos;
	int ypos;
	int bar_length;
};

#endif




