/***************************************************************************
                          keymapper_bindings.h  -  description
                             -------------------
    begin                : Fri Feb 11 2000
    copyright            : (C) 2000 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/

#include "keymapper.h"
#include <list>
#include <string>

typedef struct Keymapper_binding {
	SDLKey sdlsym;
	KEYFUNCTION::Function keyfunction;
	std::string config_name;
	std::string display_name;
};

//just a class for storing the actual mappings,
class Keymapper_bindings : public std::list<Keymapper_binding*> {
public:
	~Keymapper_bindings();
  void addbinding(SDLKey sdlsym,int keyfunction, char *config_name, char *display_name);
	iterator find_by_sdlsym(SDLKey sdlsym);
	iterator find_by_function(KEYFUNCTION::Function keyfunction);
};
