/***************************************************************************
                          obj_projectile.h  -  description
                             -------------------
    begin                : Sun Dec 19 1999
    copyright            : (C) 1999 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#ifndef OBJ_PROJECTILE_H
#define OBJ_PROJECTILE_H

#include "obj_base.h"

/**
  *@author Flemming Frandsen
  */

class Obj_projectile : public Obj_base  {
public:
	Obj_projectile(World *world_, int id);
	virtual ~Obj_projectile();

	void init(int owner, float xpos_, float ypos_, float xspeed_, float yspeed_, float explosion_damage_, int explosion_size_, int penetration_, float init_age);

	virtual Object_type gettype(){return ot_projectile;}

	virtual void draw(Viewport *viewport);
	virtual void serialize(Serializer *serializer);
 	virtual void server_think();
protected:

	float explosion_damage;
	int explosion_size;
	int penetration;
};



#endif








