/***************************************************************************
                          obj_weapon_larpa.cpp  -  description
                             -------------------
    begin                : Tue Feb 22 2000
    copyright            : (C) 2000 by Anders Rosendal
    email                : qute@klog.dk
 ***************************************************************************/


#include "obj_weapon_larpa.h"
#include "all.h"

Obj_weapon_larpa::Obj_weapon_larpa(World *world_, int id) :Obj_weapon(world_,id)
{
       reload_speed = 0.4;
       shot_cost = 0.2;
       reshoot_time = 0.45;
       knock_back = 2.0;
}

Obj_weapon_larpa::~Obj_weapon_larpa()
{
}

void Obj_weapon_larpa::dofire(int x, int y, Vector aim_vector, float aim_angle)
{
       Serverworld *serverworld = (Serverworld *)world;
       aim_vector.scale(500);

       knock_back_direction.add(aim_vector);
               
       Obj_rocket *rocket = (Obj_rocket *)serverworld->newobject(ot_rocket);
       if (rocket) {
               rocket->init(
                       ownerid,
                       x,y,
                       xspeed+aim_vector.x,
                       yspeed+aim_vector.y,
                       0.05,
                       200,
                       11
               );
       }
}
