/***************************************************************************
                          obj_weapon_railgun.cpp  -  description
                             -------------------
    begin                : Wed Jan 5 2000
    copyright            : (C) 2000 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#include "obj_weapon_railgun.h"
#include "all.h"

Obj_weapon_railgun::Obj_weapon_railgun(World *world_, int id) : Obj_weapon(world_,id)
{
	reload_speed = 0.15;
	shot_cost = 0.99;
	reshoot_time = 0.4;
	knock_back = 10.0;
}

Obj_weapon_railgun::~Obj_weapon_railgun()
{

}

void Obj_weapon_railgun::dofire(int x, int y, Vector aim_vector, float aim_angle)
{
	Serverworld *serverworld = (Serverworld *)world;
	aim_vector.scale(2000);

	knock_back_direction.add(aim_vector);
		
 	Obj_railslug *slug = (Obj_railslug *)serverworld->newobject(ot_railslug);
	if (slug) {
		slug->init(
			ownerid,
			x,y,
			xspeed+aim_vector.x,
			yspeed+aim_vector.y
		);
	}
}









