/***************************************************************************
                          viewport.h  -  description
                             -------------------
    begin                : Mon Oct 11 1999
    copyright            : (C) 1999 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/
#ifndef VIEWPORT_H
#define VIEWPORT_H

#include "systemheaders.h"

#include "graphics.h"
#include "raw_surface.h"

/**
	This class is just a comfy place to stick all the
 	info needed for rendering a view of the arena
*/

class Graphics;

class Viewport : public Raw_surface
{
	public:

	Viewport(int width, int height);
	~Viewport();

	void setmapsize(int map_xsize_, int map_ysize_) {map_xsize = map_xsize_; map_ysize = map_ysize_;}

	void drop_shadow();

	void setpos(int x, int y);

	//coordinats of the topleft corner on the bit map
	int xpos;
	int ypos;
	int map_xsize;
	int map_ysize;
 	void addsample(int x, int y,float dt);

	protected:

	float xesum;
	float yesum;
	float xspeed;
	float yspeed;
	float xcenter;
	float ycenter;
};

#endif





