/***************************************************************************
                          font.h  -  description
                             -------------------
    begin                : Sun Jan 30 2000
    copyright            : (C) 2000 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#ifndef FONT_H
#define FONT_H

#include "font_glyph.h"

class Font_glyphs;

class Font_instance {
public:
	Font_instance();
	~Font_instance();

	//init(Loader *loader, char *name, int size, int32 color=PIXELA(255,255,255,15), bool antialize=true);
  bool load(Loader *loader, char *font_name, int32 color);

	int get_text_length(char *text);
	int get_text_height(char *text);

	bool put_text(int xpos, int ypos, char *text, Raw_surface *target);

protected:
	Font_glyphs *font_glyphs;
	int space_advance;
};

#endif

