/***************************************************************************
                          fonts.h  -  description
                             -------------------
    begin                : Mon Feb 7 2000
    copyright            : (C) 2000 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#ifndef FONTS_H
#define FONTS_H

#include "systemheaders.h"
#include "raw_surface.h"

class Font_instances;
class Font_instance;
class Loader;
class Fonts {
public: 
	Fonts();
	~Fonts();

	void init(Loader *loader_);

	Font_instance *getfont(const char *name, int size, int32 color=PIXELA(255,255,255,15), bool antialize = true);

protected:
	Font_instances *font_instances;
	Loader *loader;
};

#endif

