/***************************************************************************
                          icon_graph.h  -  description
                             -------------------
    begin                : Thu Jan 27 2000
    copyright            : (C) 2000 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#ifndef ICON_GRAPH_H
#define ICON_GRAPH_H

#include "icon_base.h"

class Icon_graph : public Icon_base  {
public: 
	Icon_graph();
	virtual ~Icon_graph();
	virtual void draw(Raw_surface *target);	

	void init(int xpos_, int ypos_, int xsize_, int ysize_, int32 color_, int32 graphcolor_);
	void addsample(float percent);
protected:
	int32 color;
	int32 graphcolor;
	int xpos;
	int ypos;
};

#endif

