/***************************************************************************
                          obj_clusterbomb.h  -  description
                             -------------------
    begin                : Tue Feb 15 2000
    copyright            : (C) 2000 by Anders Rosendal
    email                : qute@klog.dk
 ***************************************************************************/


#ifndef OBJ_clusterbomb_H
#define OBJ_clusterbomb_H

#include "obj_base.h"

/**
  *@author Anders Rosendal
  */
class Obj_clusterbomb : public Obj_base  {
public:
	Obj_clusterbomb(World *world_, int id);
	virtual ~Obj_clusterbomb();
	
	void init(int owner, float xpos_, float ypos_, float xspeed_, float yspeed_, int count_, float damage_, float speed_);
	virtual Object_type gettype(){return ot_clusterbomb;}

	virtual void draw(Viewport *viewport);
	virtual void serialize(Serializer *serializer);
 	virtual void server_think();
protected:
	Graphic *sprite[4];
	int frame;
	float last_frame_shift;
	float timer;
	float damage;
	float speed;
	int count;
};

#endif

