/***************************************************************************
                          obj_hook.h  -  description
                             -------------------
    begin                : Thu Dec 23 1999
    copyright            : (C) 1999 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#ifndef OBJ_HOOK_H
#define OBJ_HOOK_H

#include "obj_base.h"

/**
  *@author Flemming Frandsen
  */

class Obj_hook : public Obj_base  {
public:

	Obj_hook(World *world_, int id);
	virtual ~Obj_hook();

	virtual Object_type gettype() {return ot_hook;}

 	virtual void server_think();
	virtual void draw(Viewport *viewport);
	virtual void serialize(Serializer *serializer);

	bool isstuck() {return stuck;}

	void init(int owner,float xpos_, float ypos_, float xspeed_, float yspeed_);
	void reel_out();
	void reel_in();

protected:
	bool stuck;
	float old_age;
	int avatar_id;
  float rope_length;
};

#endif







