/***************************************************************************
                          obj_weapon_clusterbomb.cpp  -  description
                             -------------------
    begin                : Sat Dec 18 1999
    copyright            : (C) 1999 by Anders Rosendal
    email                : qute@klog.dk
 ***************************************************************************/


#include "obj_weapon_clusterbomb.h"

#include "all.h"

Obj_weapon_clusterbomb::Obj_weapon_clusterbomb(World *world_, int id) :Obj_weapon(world_,id)
{
	reload_speed = 0.2;
	shot_cost = 0.5;
	reshoot_time = 2.0;
	knock_back = 1.0;
}

Obj_weapon_clusterbomb::~Obj_weapon_clusterbomb()
{
}

void Obj_weapon_clusterbomb::dofire(int x, int y, Vector aim_vector, float aim_angle)
{
	Serverworld *serverworld = (Serverworld *)world;
	aim_vector.scale(500);

	knock_back_direction.add(aim_vector);
		
 	Obj_clusterbomb *bomb = (Obj_clusterbomb *)serverworld->newobject(ot_clusterbomb);
	if (bomb) {
		bomb->init(
			ownerid,
			x,y,
			xspeed+aim_vector.x,
			yspeed+aim_vector.y,
			5,
			300,
			100
		);
	}
}

