/***************************************************************************
                          obj_weapon_mininuke.cpp  -  description
                             -------------------
    begin                : Mon Feb 21 2000
    copyright            : (C) 2000 by Anders Rosendal
    email                : qute@klog.dk
 ***************************************************************************/


#include "obj_weapon_mininuke.h"
#include "all.h"

Obj_weapon_mininuke::Obj_weapon_mininuke(World *world_, int id) :Obj_weapon(world_,id)
{
	reload_speed = 0.4;
	shot_cost = 0.5;
       reshoot_time = 2.0;
	knock_back = 1.0;
}

Obj_weapon_mininuke::~Obj_weapon_mininuke()
{
}

const int SUBSHOTS = 40;

void Obj_weapon_mininuke::dofire(int x, int y, Vector aim_vector, float aim_angle)
{
	Serverworld *serverworld = (Serverworld *)world;
	aim_vector.scale(500);

	knock_back_direction.add(aim_vector);
		
 	Obj_bignuke *nuke = (Obj_bignuke *)serverworld->newobject(ot_bignuke);
	if (nuke) {
		nuke->init(
			ownerid,
			x,y,
			xspeed+aim_vector.x,
			yspeed+aim_vector.y,
			50,
			100
		);
	}
}

