/***************************************************************************
                          obj_weapon_test.cpp  -  description
                             -------------------
    begin                : Sat Dec 18 1999
    copyright            : (C) 1999 by Flemming Frandsen
    email                : dion@swamp.dk
 ***************************************************************************/


#include "obj_weapon_test.h"

#include "all.h"

Obj_weapon_test::Obj_weapon_test(World *world_, int id) :Obj_weapon(world_,id)
{
	reload_speed = 1;
       shot_cost = 0.5;
	reshoot_time = 1.0;
	knock_back = 1.0;
}

Obj_weapon_test::~Obj_weapon_test()
{
}

const int SUBSHOTS = 40;

void Obj_weapon_test::dofire(int x, int y, Vector aim_vector, float aim_angle)
{
	Serverworld *serverworld = (Serverworld *)world;
	aim_vector.scale(500);

	knock_back_direction.add(aim_vector);
		
 	Obj_bignuke *nuke = (Obj_bignuke *)serverworld->newobject(ot_bignuke);
	if (nuke && nuke->gettype() == ot_bignuke) {
		nuke->init(
			ownerid,
			x,y,
			xspeed+aim_vector.x,
			yspeed+aim_vector.y,
                       30,
			100
		);
	}
//	*((int*)0)=42;
}

